/**
 * 
 */
package com.example.server.dao;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.stereotype.Repository;

import com.example.server.model.RemoteAccount;

/**
 * @author PradeepBadiger
 *
 */
@Repository
public class RemoteDAO implements IRemoteDAO {
	
	private HibernateTemplate hibernateTemplate;
	
	@Autowired
	public void setSessionFactory(SessionFactory sessionFactory) {
		this.hibernateTemplate = new HibernateTemplate(sessionFactory);
		
	}

	/* (non-Javadoc)
	 * @see com.example.server.dao.IRemoteDAO#addRecord(com.example.server.model.RemoteAccount)
	 */
	public RemoteAccount saveRecord(RemoteAccount remoteAccount) {
		return hibernateTemplate.merge(remoteAccount);
	}

}
