/**
 * 
 */
package com.example.server.webservice.participant;

import java.io.Serializable;

import org.apache.log4j.Logger;

import com.arjuna.wst.Durable2PCParticipant;
import com.arjuna.wst.Prepared;
import com.arjuna.wst.SystemException;
import com.arjuna.wst.Vote;
import com.arjuna.wst.WrongStateException;

/**
 * @author PradeepBadiger
 *
 */
public class RemoteAccountParticipant implements Durable2PCParticipant,
		Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2844292166050315792L;
	
	private static final Logger LOGGER = Logger.getLogger(RemoteAccountParticipant.class);

	public RemoteAccountParticipant(String clientTransactionId) {
	}
	
	public RemoteAccountParticipant() {
	}

	/* (non-Javadoc)
	 * @see com.arjuna.wst.Participant#prepare()
	 */
	public Vote prepare() throws WrongStateException, SystemException {
		return new Prepared();
	}

	/* (non-Javadoc)
	 * @see com.arjuna.wst.Participant#commit()
	 */
	public void commit() throws WrongStateException, SystemException {
		LOGGER.info("commit() called on RemoteAccountParticipant");
	}

	/* (non-Javadoc)
	 * @see com.arjuna.wst.Participant#rollback()
	 */
	public void rollback() throws WrongStateException, SystemException {
		LOGGER.info("rollback() called on RemoteAccountParticipant");

	}

	/* (non-Javadoc)
	 * @see com.arjuna.wst.Participant#unknown()
	 */
	public void unknown() throws SystemException {
		LOGGER.info("unknown() called on RemoteAccountParticipant");

	}

	/* (non-Javadoc)
	 * @see com.arjuna.wst.Participant#error()
	 */
	public void error() throws SystemException {
		LOGGER.info("error() called on RemoteAccountParticipant");

	}

}
